Bug 672370 - [abrt] fedpkg-0.5.2.0-2.fc14: socket.py:445:readline:error: [Errno 110] Connection timed out
Summary: [abrt] fedpkg-0.5.2.0-2.fc14: socket.py:445:readline:error: [Errno 110] Conne...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6d84cb8a
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-24 23:34 UTC by Richard W.M. Jones
Modified: 2013-01-10 06:25 UTC (History)
2 users (show)

Fixed In Version: fedora-packager-0.5.5.0-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-08 22:56:12 UTC


Attachments (Terms of Use)
File: backtrace (1.69 KB, text/plain)
2011-01-24 23:34 UTC, Richard W.M. Jones
no flags Details

Description Richard W.M. Jones 2011-01-24 23:34:25 UTC
abrt version: 1.1.14
architecture: x86_64
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.37-0.rc5.git2.1.fc15.x86_64
package: fedpkg-0.5.2.0-2.fc14
reason: socket.py:445:readline:error: [Errno 110] Connection timed out
release: Fedora release 14 (Laughlin)
time: 1295911996
uid: 500

backtrace
-----
socket.py:445:readline:error: [Errno 110] Connection timed out

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 1250, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 342, in build
    return _watch_koji_tasks(mymodule.kojisession, [task_id], quiet=args.q)
  File "/usr/bin/fedpkg", line 223, in _watch_koji_tasks
    for child in session.getTaskChildren(task_id):
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 1510, in __call__
    return self.__func(self.__name,args,opts)
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 1740, in _callMethod
    return proxy.__getattr__(name)(*args)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1224, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1570, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1264, in request
    return self.single_request(host, handler, request_body, verbose)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1294, in single_request
    response = h.getresponse(buffering=True)
  File "/usr/lib64/python2.7/httplib.py", line 1025, in getresponse
    response.begin()
  File "/usr/lib64/python2.7/httplib.py", line 401, in begin
    version, status, reason = self._read_status()
  File "/usr/lib64/python2.7/httplib.py", line 359, in _read_status
    line = self.fp.readline()
  File "/usr/lib64/python2.7/socket.py", line 445, in readline
    data = self._sock.recv(self._rbufsize)
error: [Errno 110] Connection timed out

Local variables in innermost frame:
buf: <cStringIO.StringO object at 0x17ef998>
self: <socket._fileobject object at 0x177e6d0>
e: error(110, 'Connection timed out')
size: -1

How to reproduce
-----
1. Ran fedpkg build.
2. Waited.
3. A long time later, it crashed.

Comment 1 Richard W.M. Jones 2011-01-24 23:34:28 UTC
Created attachment 475079 [details]
File: backtrace

Comment 2 Jesse Keating 2011-01-25 00:32:19 UTC
I believe have this fixed upstream, with a giant try/except around the watch koji tasks.

Comment 3 Fedora Update System 2011-01-31 20:36:31 UTC
fedora-packager-0.5.3.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.fc14

Comment 4 Fedora Update System 2011-01-31 21:02:09 UTC
fedora-packager-0.5.3.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.fc13

Comment 5 Fedora Update System 2011-01-31 21:28:27 UTC
fedora-packager-0.5.3.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.el6

Comment 6 Fedora Update System 2011-01-31 22:49:12 UTC
fedora-packager-0.5.3.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.el5

Comment 7 Fedora Update System 2011-02-01 17:07:10 UTC
fedora-packager-0.5.3.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.el5

Comment 8 Fedora Update System 2011-02-08 22:55:33 UTC
fedora-packager-0.5.3.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-02-09 17:26:02 UTC
fedora-packager-0.5.3.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-02-09 20:18:05 UTC
fedora-packager-0.5.3.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-02-10 22:41:28 UTC
fedora-packager-0.5.5.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.el6

Comment 12 Fedora Update System 2011-02-21 22:54:30 UTC
fedora-packager-0.5.5.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.el6

Comment 13 Fedora Update System 2011-02-28 23:57:58 UTC
fedora-packager-0.5.5.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.